"""
URL configuration for edan_v1 project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""

from django.contrib import admin
from django.urls import path

from django.conf import settings
from django.conf.urls.static import static


urlpatterns = [
    path("admin/", admin.site.urls),
] 


from django.apps import apps
from django.urls import include, path
from django.contrib import admin

import hrld.views

from django.contrib.sitemaps import views
# from apps.sitemaps import base_sitemaps
# from sitemaps import base_sitemaps

urlpatterns = [
    path('i18n/', include('django.conf.urls.i18n')),

    # The Django admin is not officially supported; expect breakage.
    # Nonetheless, it's often useful for debugging.

    path('jxdev/', hrld.views.myview),
    path('admin/', admin.site.urls),




    # path('sitemap.xml', views.index,
    #     {'sitemaps': base_sitemaps}),
    # path('sitemap-<slug:section>.xml', views.sitemap,
    #     {'sitemaps': base_sitemaps},
    #     name='django.contrib.sitemaps.views.sitemap')

    path('', include(apps.get_app_config('oscar').urls[0])),


]
if settings.DEBUG:
    print("settings.DEBUG",settings.MEDIA_URL)
    import debug_toolbar
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
    urlpatterns += [
    path('__debug__/', include(debug_toolbar.urls)),
    ]
# + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT) #???

